$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-modeler'
$url        = 'https://www.softwareideas.net/Download/File/813/SoftwareIdeasModelerSetup32-11-97.exe'
$url64      = 'https://www.softwareideas.net/Download/File/814/SoftwareIdeasModelerSetup64-11-97.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'Software Ideas Modeler*'

  checksum      = 'a91224d07c417a1694ea60d161a6f181488747b1e8b7622839ed990af544214d'
  checksumType  = 'sha256'
  checksum64    = '4a98d1e4f13ff15d3cc205a7ebe036d95bdb8401c221bccc2b19207cd93adba2'
  checksumType64= 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
